Rated 5 out of 5 stars

Absolutely and most necessary add-on! Can't work without it anymore. Many thanks for that.
Please update it to make it running and compatible with Firefox 5.0 and higher. It'd be highly apreciated! :-)